<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qt-declarative-module.qdoc -->
  <title>Qt.declarative QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Qt.declarative QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Qt.declarative-brief -->
<p>Provides Qt Quick 1 support. <a href="#details">More...</a></p>
<!-- @@@Qt.declarative -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-qt-declarative-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-declarative.html#qmlDebugging-prop">qmlDebugging</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-declarative.html#qmlImportsPath-prop">qmlImportsPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-declarative.html#qmlPath-prop">qmlPath</a></b></b> : string</li>
</ul>
<!-- $$$Qt.declarative-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The Qt.declarative module provides support for Qt Quick 1.</p>
<p><b>See also </b><a href="qml-qbsmodules-qt-quick.html">Qt.quick</a> and <a href="qml-qbsmodules-qt-qml.html">Qt.qml</a>.</p>
<!-- @@@Qt.declarative -->
<h2>Property Documentation</h2>
<!-- $$$qmlDebugging -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qmlDebugging-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qmlDebugging</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether QML debugging support is compiled into your binaries.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@qmlDebugging -->
<br/>
<!-- $$$qmlImportsPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qmlImportsPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qmlImportsPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The absolute path to the directory where Qt's QML imports are installed.</p>
<p>Default: Determined by <a href="cli-setup-qt.html">setup-qt</a>.</p>
</div></div><!-- @@@qmlImportsPath -->
<br/>
<!-- $$$qmlPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qmlPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qmlPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The absolute path to the directory where Qt's QML files are installed. This property is left undefined for Qt 4.</p>
<p>Default: Determined by <a href="cli-setup-qt.html">setup-qt</a>.</p>
</div></div><!-- @@@qmlPath -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
